import React from 'react';
import { BaseButtonProps } from './BaseButton';
import { BaseButtonStateNameProps, ButtonState, ButtonVariant } from './types';
declare type BaseButtonPropsOmitted = Omit<BaseButtonProps, BaseButtonStateNameProps | 'buttonState' | 'children' | 'block'>;
export declare type IconButtonProps = BaseButtonPropsOmitted & {
    variant?: ButtonVariant;
    buttonState?: ButtonState;
};
declare const IconButton: React.ForwardRefExoticComponent<BaseButtonPropsOmitted & {
    variant?: ButtonVariant | undefined;
    buttonState?: ButtonState | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export default IconButton;
